AVR Libc Home Page |  | AVR Libc Development Pages
Main Page | User Manual | Library Reference | FAQ | Alphabetical Index | Example Projects

ctype.h File Reference

Go to the source code of this file.

## Functions

Character classification routines
These functions perform character classification. They return true or false status depending whether the character passed to the function falls into the function's classification (i.e. isdigit() returns true if its argument is any value '0' though '9', inclusive). If the input is not an unsigned char value, all of this function return false.
int | isalnum (int __c)
int | isalpha (int __c)
int | isascii (int __c)
int | isblank (int __c)
int | iscntrl (int __c)
int | isdigit (int __c)
int | isgraph (int __c)
int | islower (int __c)
int | isprint (int __c)
int | ispunct (int __c)
int | isspace (int __c)
int | isupper (int __c)
int | isxdigit (int __c)
Character convertion routines
This realization permits all possible values of integer argument. The toascii() function clears all highest bits. The tolower() and toupper() functions return an input argument as is, if it is not an unsigned char value.
int | toascii (int __c)
int | tolower (int __c)
int | toupper (int __c)

Automatically generated by Doxygen 1.8.3.1 on Sat Jun 22 2013.